<?xml version="1.0" encoding="UTF-8"?>
<testsuite xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="https://maven.apache.org/surefire/maven-surefire-plugin/xsd/surefire-test-report-3.0.xsd" version="3.0" name="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest$MapEnum" time="0.055" tests="47" errors="0" skipped="0" failures="0">
  <properties>
    <property name="awt.toolkit" value="sun.awt.X11.XToolkit"/>
    <property name="file.encoding.pkg" value="sun.io"/>
    <property name="java.specification.version" value="1.8"/>
    <property name="sun.cpu.isalist" value=""/>
    <property name="sun.jnu.encoding" value="UTF-8"/>
    <property name="java.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/test-classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql/target/stalactite-sql-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/reflection/1.1.2-SNAPSHOT/reflection-1.1.2-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.1-SNAPSHOT/tools-1.1.1-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/danekja/jdk-serializable-functional/1.8.2/jdk-serializable-functional-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-api/1.7.36/slf4j-api-1.7.36.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-collections4/4.4/commons-collections4-4.4.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/hsqldb/hsqldb/2.7.4/hsqldb-2.7.4-jdk8.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT-tests.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core-adapter/core-hsqldb-adapter/target/stalactite-core-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT-tests.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-reload4j/1.7.36/slf4j-reload4j-1.7.36.jar:/var/lib/jenkins/.m2/repository/ch/qos/reload4j/reload4j/1.2.19/reload4j-1.2.19.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-lang3/3.12.0/commons-lang3-3.12.0.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter/5.8.2/junit-jupiter-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-api/5.8.2/junit-jupiter-api-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/opentest4j/opentest4j/1.2.0/opentest4j-1.2.0.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-commons/1.8.2/junit-platform-commons-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/apiguardian/apiguardian-api/1.1.2/apiguardian-api-1.1.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-params/5.8.2/junit-jupiter-params-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-engine/5.8.2/junit-jupiter-engine-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-engine/1.8.2/junit-platform-engine-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.0/tools-1.1.0-tests.jar:/var/lib/jenkins/.m2/repository/com/google/code/findbugs/jsr305/3.0.2/jsr305-3.0.2.jar:/var/lib/jenkins/.m2/repository/org/mockito/mockito-core/4.3.1/mockito-core-4.3.1.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy/1.12.7/byte-buddy-1.12.7.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy-agent/1.12.7/byte-buddy-agent-1.12.7.jar:/var/lib/jenkins/.m2/repository/org/objenesis/objenesis/3.2/objenesis-3.2.jar:/var/lib/jenkins/.m2/repository/org/assertj/assertj-core/3.23.1/assertj-core-3.23.1.jar:"/>
    <property name="java.vm.vendor" value="Private Build"/>
    <property name="sun.arch.data.model" value="64"/>
    <property name="java.vendor.url" value="http://java.oracle.com/"/>
    <property name="user.timezone" value="Etc/UTC"/>
    <property name="java.vm.specification.version" value="1.8"/>
    <property name="os.name" value="Linux"/>
    <property name="user.country" value="FR"/>
    <property name="sun.java.launcher" value="SUN_STANDARD"/>
    <property name="sun.boot.library.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/amd64"/>
    <property name="sun.java.command" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire/surefirebooter-20260519053109587_110.jar /jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire 2026-05-19T05-30-38_739-jvmRun1 surefire-20260519053109587_108tmp surefire_4-20260519053109587_109tmp"/>
    <property name="surefire.test.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/test-classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql/target/stalactite-sql-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/reflection/1.1.2-SNAPSHOT/reflection-1.1.2-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.1-SNAPSHOT/tools-1.1.1-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/danekja/jdk-serializable-functional/1.8.2/jdk-serializable-functional-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-api/1.7.36/slf4j-api-1.7.36.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-collections4/4.4/commons-collections4-4.4.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/hsqldb/hsqldb/2.7.4/hsqldb-2.7.4-jdk8.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT-tests.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core-adapter/core-hsqldb-adapter/target/stalactite-core-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT-tests.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-reload4j/1.7.36/slf4j-reload4j-1.7.36.jar:/var/lib/jenkins/.m2/repository/ch/qos/reload4j/reload4j/1.2.19/reload4j-1.2.19.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-lang3/3.12.0/commons-lang3-3.12.0.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter/5.8.2/junit-jupiter-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-api/5.8.2/junit-jupiter-api-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/opentest4j/opentest4j/1.2.0/opentest4j-1.2.0.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-commons/1.8.2/junit-platform-commons-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/apiguardian/apiguardian-api/1.1.2/apiguardian-api-1.1.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-params/5.8.2/junit-jupiter-params-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-engine/5.8.2/junit-jupiter-engine-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-engine/1.8.2/junit-platform-engine-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.0/tools-1.1.0-tests.jar:/var/lib/jenkins/.m2/repository/com/google/code/findbugs/jsr305/3.0.2/jsr305-3.0.2.jar:/var/lib/jenkins/.m2/repository/org/mockito/mockito-core/4.3.1/mockito-core-4.3.1.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy/1.12.7/byte-buddy-1.12.7.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy-agent/1.12.7/byte-buddy-agent-1.12.7.jar:/var/lib/jenkins/.m2/repository/org/objenesis/objenesis/3.2/objenesis-3.2.jar:/var/lib/jenkins/.m2/repository/org/assertj/assertj-core/3.23.1/assertj-core-3.23.1.jar:"/>
    <property name="sun.cpu.endian" value="little"/>
    <property name="user.home" value="/var/lib/jenkins"/>
    <property name="user.language" value="fr"/>
    <property name="java.specification.vendor" value="Oracle Corporation"/>
    <property name="java.home" value="/usr/lib/jvm/java-8-openjdk-amd64/jre"/>
    <property name="basedir" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm"/>
    <property name="file.separator" value="/"/>
    <property name="line.separator" value="&#10;"/>
    <property name="java.vm.specification.vendor" value="Oracle Corporation"/>
    <property name="java.specification.name" value="Java Platform API Specification"/>
    <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment"/>
    <property name="surefire.real.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire/surefirebooter-20260519053109587_110.jar:/var/lib/jenkins/.m2/repository/org/jacoco/org.jacoco.agent/0.8.5/org.jacoco.agent-0.8.5-runtime.jar"/>
    <property name="sun.boot.class.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/resources.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/rt.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jsse.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jce.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/charsets.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jfr.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/classes"/>
    <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers"/>
    <property name="java.runtime.version" value="1.8.0_482-8u482-ga~us1-0ubuntu1~24.04-b08"/>
    <property name="user.name" value="jenkins"/>
    <property name="path.separator" value=":"/>
    <property name="os.version" value="6.8.0-107-generic"/>
    <property name="java.endorsed.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/endorsed"/>
    <property name="java.runtime.name" value="OpenJDK Runtime Environment"/>
    <property name="file.encoding" value="UTF-8"/>
    <property name="java.vm.name" value="OpenJDK 64-Bit Server VM"/>
    <property name="localRepository" value="/var/lib/jenkins/.m2/repository"/>
    <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/"/>
    <property name="java.io.tmpdir" value="/tmp"/>
    <property name="java.version" value="1.8.0_482"/>
    <property name="user.dir" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm"/>
    <property name="os.arch" value="amd64"/>
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification"/>
    <property name="java.awt.printerjob" value="sun.print.PSPrinterJob"/>
    <property name="sun.os.patch.level" value="unknown"/>
    <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib/x86_64-linux-gnu/jni:/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/jni:/lib:/usr/lib"/>
    <property name="java.vm.info" value="mixed mode"/>
    <property name="java.vendor" value="Private Build"/>
    <property name="java.vm.version" value="25.482-b08"/>
    <property name="java.specification.maintenance.version" value="6"/>
    <property name="java.ext.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/ext:/usr/java/packages/lib/ext"/>
    <property name="sun.io.unicode.encoding" value="UnicodeLittle"/>
    <property name="java.class.version" value="52.0"/>
  </properties>
  <testcase name="embed_withSomeExcludedProperty" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.009"/>
  <testcase name="embed_withOverriddenColumnName" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.013"/>
  <testcase name="embed_withReadonlyProperty" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.01">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	DDLDeployer	create table Toto(creationDate timestamp, modificationDate timestamp, readonlyProperty varchar(255), id varchar(36) not null, unique (id))
2026-05-19 05:31:16	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:16	TRACE	SQLOperation	insert into Toto(creationDate, modificationDate, id) values (?, ?, ?) | {1={Toto.id=o.c.s.i.PersistedIdentifier@794a5d5d-d907-4abb-970e-9837e3c1ecb3, Toto.creationDate=Tue May 19 05:31:16 UTC 2026, Toto.modificationDate=Tue May 19 05:31:16 UTC 2026}}
2026-05-19 05:31:16	TRACE	SQLOperation	select readonlyProperty from Toto | {}
]]></system-out>
  </testcase>
  <testcase name="map_withReadConverter_converterIsUsed" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.013">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	DDLDeployer	create table Toto(id varchar(255) not null, name varchar(255), unique (id))
2026-05-19 05:31:16	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:16	TRACE	SQLOperation	insert into Toto(name, id) values (?, ?) | {1={Toto.name=toto, Toto.id=o.c.s.i.PersistableIdentifier@a11b3221-a5ba-4e5c-a6c8-287cbaf41abd}}
2026-05-19 05:31:16	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistableIdentifier@a11b3221-a5ba-4e5c-a6c8-287cbaf41abd]
2026-05-19 05:31:16	TRACE	SQLOperation	select Toto.name as Toto_name, Toto.id as Toto_id from Toto where Toto.id in (?) | {1=o.c.s.i.PersistableIdentifier@a11b3221-a5ba-4e5c-a6c8-287cbaf41abd}
2026-05-19 05:31:16	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.FluentEntityMappingConfigurationSupportTest$Toto
2026-05-19 05:31:16	TRACE	SQLOperation	select Toto.name from Toto | {}
]]></system-out>
  </testcase>
  <testcase name="map_methodHasNoMatchingField_configurationIsStillValid" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.002"/>
  <testcase name="map_withReadConverter_complexCase" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.012">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	DDLDeployer	create table Toto(id varchar(255) not null, name varchar(255), possibleStates varchar(255), unique (id))
2026-05-19 05:31:16	TRACE	SQLOperation	insert into Toto(id, possibleStates) values (?, ?) | {Toto.possibleStates=IN_PROGRESS, DONE, Toto.id=o.c.s.i.PersistedIdentifier@06e11897-20ff-49fb-9837-73ed78022508}
2026-05-19 05:31:16	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistedIdentifier@06e11897-20ff-49fb-9837-73ed78022508]
2026-05-19 05:31:16	TRACE	SQLOperation	select Toto.possibleStates as Toto_possibleStates, Toto.id as Toto_id from Toto where Toto.id in (?) | {1=o.c.s.i.PersistedIdentifier@06e11897-20ff-49fb-9837-73ed78022508}
2026-05-19 05:31:16	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.FluentEntityMappingConfigurationSupportTest$Toto
]]></system-out>
  </testcase>
  <testcase name="insert" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.02">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	DDLDeployer	create table PersonWithGender(name varchar(255), gender VARCHAR(255), id int not null, unique (id))
2026-05-19 05:31:16	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:16	TRACE	SQLOperation	insert into PersonWithGender(gender, id, name) values (?, ?, ?) | {1={PersonWithGender.gender=FEMALE, PersonWithGender.id=o.c.s.i.PersistableIdentifier@1, PersonWithGender.name=null}}
2026-05-19 05:31:16	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistableIdentifier@1]
2026-05-19 05:31:16	TRACE	SQLOperation	select PersonWithGender.name as PersonWithGender_name, PersonWithGender.gender as PersonWithGender_gender, PersonWithGender.id as PersonWithGender_id from PersonWithGender where PersonWithGender.id in (?) | {1=o.c.s.i.PersistableIdentifier@1}
2026-05-19 05:31:16	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.PersonWithGender
]]></system-out>
  </testcase>
  <testcase name="innerEmbed_withConflictingEmbeddable" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.185">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:16	TRACE	SQLOperation	insert into countryTable(countryCreatedAt, id, name, presidentElectedAt, presidentName) values (?, ?, ?, ?, ?) | {1={countryTable.presidentElectedAt=Tue Jan 01 00:00:00 UTC 2019, countryTable.countryCreatedAt=Mon Jan 01 00:00:00 UTC 2018, countryTable.presidentName=François, countryTable.name=France, countryTable.id=o.c.s.i.PersistableIdentifier@1}}
]]></system-out>
  </testcase>
  <testcase name="map_withColumn_columnIsUsed" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.002"/>
  <testcase name="map_withSqlBinderOnEmbeddedProperty_binderIsUsed_writeCase" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.01">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	DDLDeployer	create table Toto(id varchar(255) not null, creationDate varchar(255), modificationDate timestamp, unique (id))
2026-05-19 05:31:16	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:16	TRACE	SQLOperation	insert into Toto(creationDate, modificationDate, id) values (?, ?, ?) | {1={Toto.creationDate=Tue May 19 05:31:16 UTC 2026, Toto.modificationDate=Tue May 19 05:31:16 UTC 2026, Toto.id=o.c.s.i.PersistableIdentifier@cfeda378-5bd3-43dc-86b6-4f4199c09e74}}
2026-05-19 05:31:16	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistableIdentifier@cfeda378-5bd3-43dc-86b6-4f4199c09e74]
2026-05-19 05:31:16	TRACE	SQLOperation	select Toto.creationDate as Toto_creationDate, Toto.modificationDate as Toto_modificationDate, Toto.id as Toto_id from Toto where Toto.id in (?) | {1=o.c.s.i.PersistableIdentifier@cfeda378-5bd3-43dc-86b6-4f4199c09e74}
2026-05-19 05:31:16	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.FluentEntityMappingConfigurationSupportTest$Toto
]]></system-out>
  </testcase>
  <testcase name="embed_withOverriddenColumnName_nameAlreadyExists_throwsException" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.002"/>
  <testcase name="map_mandatory_onMissingValue_throwsException" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.007">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	DDLDeployer	create table Toto(name varchar(255) not null, firstName varchar(255) not null, id int not null, unique (id))
]]></system-out>
  </testcase>
  <testcase name="map_methodIsASetter_configurationIsStillValid" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.002"/>
  <testcase name="map_withSqlBinder_binderIsUsed_writeCase" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.012">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	DDLDeployer	create table Toto(id varchar(255) not null, possibleStates varchar(255), unique (id))
2026-05-19 05:31:16	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:16	TRACE	SQLOperation	insert into Toto(possibleStates, id) values (?, ?) | {1={Toto.id=o.c.s.i.PersistableIdentifier@a7538875-c6e9-49a2-a754-03f9f4c62dec, Toto.possibleStates=[IN_PROGRESS, DONE]}}
2026-05-19 05:31:16	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistableIdentifier@a7538875-c6e9-49a2-a754-03f9f4c62dec]
2026-05-19 05:31:16	TRACE	SQLOperation	select Toto.possibleStates as Toto_possibleStates, Toto.id as Toto_id from Toto where Toto.id in (?) | {1=o.c.s.i.PersistableIdentifier@a7538875-c6e9-49a2-a754-03f9f4c62dec}
2026-05-19 05:31:16	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.FluentEntityMappingConfigurationSupportTest$Toto
]]></system-out>
  </testcase>
  <testcase name="innerEmbed_withSomeExcludedProperties" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.009">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:16	TRACE	SQLOperation	insert into countryTable(id, name, presidentElectedAt, presidentName) values (?, ?, ?, ?) | {1={countryTable.id=o.c.s.i.PersistableIdentifier@1, countryTable.name=France, countryTable.presidentName=François, countryTable.presidentElectedAt=Tue Jan 01 00:00:00 UTC 2019}}
]]></system-out>
  </testcase>
  <testcase name="insert_nullValues" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.008">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	DDLDeployer	create table PersonWithGender(name varchar(255), gender VARCHAR(255), id int not null, unique (id))
2026-05-19 05:31:16	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:16	TRACE	SQLOperation	insert into PersonWithGender(gender, id, name) values (?, ?, ?) | {1={PersonWithGender.name=null, PersonWithGender.gender=null, PersonWithGender.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:16	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistableIdentifier@1]
2026-05-19 05:31:16	TRACE	SQLOperation	select PersonWithGender.name as PersonWithGender_name, PersonWithGender.gender as PersonWithGender_gender, PersonWithGender.id as PersonWithGender_id from PersonWithGender where PersonWithGender.id in (?) | {1=o.c.s.i.PersistableIdentifier@1}
2026-05-19 05:31:16	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.PersonWithGender
]]></system-out>
  </testcase>
  <testcase name="map_definedAsIdentifier_identifierIsStoredAsString" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.009">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	DDLDeployer	create table Toto(id varchar(255) not null, name varchar(255), unique (id))
2026-05-19 05:31:16	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:16	TRACE	SQLOperation	insert into Toto(id) values (?) | {1={Toto.id=o.c.s.i.PersistableIdentifier@c0a4c8d5-3b0d-4b54-bf0b-6f8be0d99179}}
2026-05-19 05:31:16	TRACE	SQLOperation	select Toto.id, Toto.name from Toto | {}
]]></system-out>
  </testcase>
  <testcase name="map_mandatory_columnConstraintIsAdded" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.001"/>
  <testcase name="map_withWriteConverter_converterIsUsed" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.012">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	DDLDeployer	create table Toto(id varchar(255) not null, name varchar(255), unique (id))
2026-05-19 05:31:16	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:16	TRACE	SQLOperation	insert into Toto(name, id) values (?, ?) | {1={Toto.id=o.c.s.i.PersistableIdentifier@85937728-374f-4c4d-bbf1-866683b1de89, Toto.name=TOTO}}
2026-05-19 05:31:16	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistableIdentifier@85937728-374f-4c4d-bbf1-866683b1de89]
2026-05-19 05:31:16	TRACE	SQLOperation	select Toto.name as Toto_name, Toto.id as Toto_id from Toto where Toto.id in (?) | {1=o.c.s.i.PersistableIdentifier@85937728-374f-4c4d-bbf1-866683b1de89}
2026-05-19 05:31:16	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.FluentEntityMappingConfigurationSupportTest$Toto
2026-05-19 05:31:16	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:16	TRACE	SQLOperation	update Toto set name = ? where id = ? | {1={Toto.id (W)=o.c.s.i.PersistedIdentifier@85937728-374f-4c4d-bbf1-866683b1de89, Toto.name (U)=TITI}}
2026-05-19 05:31:16	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistableIdentifier@85937728-374f-4c4d-bbf1-866683b1de89]
2026-05-19 05:31:16	TRACE	SQLOperation	select Toto.name as Toto_name, Toto.id as Toto_id from Toto where Toto.id in (?) | {1=o.c.s.i.PersistableIdentifier@85937728-374f-4c4d-bbf1-866683b1de89}
2026-05-19 05:31:16	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.FluentEntityMappingConfigurationSupportTest$Toto
2026-05-19 05:31:16	TRACE	SQLOperation	select Toto.name from Toto | {}
]]></system-out>
  </testcase>
  <testcase name="withTableNaming" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.002"/>
  <testcase name="map_mappingDefinedTwiceByMethod_throwsException" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.001"/>
  <testcase name="embed_definedByGetter" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.003"/>
  <testcase name="build_identifierIsNotDefined_throwsException" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.002"/>
  <testcase name="update_nullValues" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.008">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	DDLDeployer	create table PersonWithGender(name varchar(255), gender VARCHAR(255), id int not null, unique (id))
2026-05-19 05:31:16	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:16	TRACE	SQLOperation	insert into PersonWithGender(gender, id, name) values (?, ?, ?) | {1={PersonWithGender.name=toto, PersonWithGender.id=o.c.s.i.PersistableIdentifier@1, PersonWithGender.gender=MALE}}
2026-05-19 05:31:16	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:16	TRACE	SQLOperation	update PersonWithGender set gender = ?, name = ? where id = ? | {1={PersonWithGender.name (U)=null, PersonWithGender.id (W)=o.c.s.i.PersistableIdentifier@1, PersonWithGender.gender (U)=null}}
2026-05-19 05:31:16	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistableIdentifier@1]
2026-05-19 05:31:16	TRACE	SQLOperation	select PersonWithGender.name as PersonWithGender_name, PersonWithGender.gender as PersonWithGender_gender, PersonWithGender.id as PersonWithGender_id from PersonWithGender where PersonWithGender.id in (?) | {1=o.c.s.i.PersistableIdentifier@1}
2026-05-19 05:31:16	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.PersonWithGender
]]></system-out>
  </testcase>
  <testcase name="innerEmbed_withTwiceSameInnerEmbeddableName" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.009"/>
  <testcase name="map_fieldName_targetedPropertyNameIsTaken" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.001"/>
  <testcase name="map_readonly_columnIsNotWrittenToDatabase_CRUD" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.008">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	DDLDeployer	create table Toto(name varchar(255), firstName varchar(255), id varchar(36) not null, unique (id))
2026-05-19 05:31:16	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:16	TRACE	SQLOperation	insert into Toto(firstName, id) values (?, ?) | {1={Toto.id=o.c.s.i.PersistedIdentifier@09bfcf92-33b5-458a-9fe6-d025ee1817d9, Toto.firstName=null}}
2026-05-19 05:31:16	TRACE	SQLOperation	select firstName from Toto | {}
2026-05-19 05:31:16	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistedIdentifier@09bfcf92-33b5-458a-9fe6-d025ee1817d9]
2026-05-19 05:31:16	TRACE	SQLOperation	select Toto.firstName as Toto_firstName, Toto.name as Toto_name, Toto.id as Toto_id from Toto where Toto.id in (?) | {1=o.c.s.i.PersistedIdentifier@09bfcf92-33b5-458a-9fe6-d025ee1817d9}
2026-05-19 05:31:16	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.FluentEntityMappingConfigurationSupportTest$Toto
2026-05-19 05:31:16	TRACE	SQLOperation	select firstName from Toto | {}
]]></system-out>
  </testcase>
  <testcase name="map_mappingDefinedTwiceByColumn_throwsException" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.001"/>
  <testcase name="embed_definedBySetter" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.003"/>
  <testcase name="map_withFieldName_targetedPropertyNameIsTaken" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.002"/>
  <testcase name="map_readonly_columnIsNotWrittenToDatabase" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.021">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	DDLDeployer	create table Toto(id VARCHAR(255) not null, name varchar(255), firstName varchar(255), unique (id))
2026-05-19 05:31:16	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:16	TRACE	SQLOperation	insert into Toto(firstName, id) values (?, ?) | {1={Toto.id=o.c.s.i.PersistedIdentifier@6eb5f500-ac86-4178-b204-7211e3fd1586, Toto.firstName=null}}
2026-05-19 05:31:16	TRACE	SQLOperation	select Toto.id, Toto.name from Toto | {}
2026-05-19 05:31:16	TRACE	SQLOperation	update Toto set name = ? where id = ? | {1=dummyName, 2=o.c.s.i.PersistedIdentifier@6eb5f500-ac86-4178-b204-7211e3fd1586}
2026-05-19 05:31:16	TRACE	SQLOperation	select Toto.id, Toto.name from Toto | {}
]]></system-out>
  </testcase>
  <testcase name="embed_withOverriddenColumn" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.003"/>
  <testcase name="apiUsage" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.019"/>
  <testcase name="map_withSqlBinder_binderIsUsed_readCase" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.007">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	DDLDeployer	create table Toto(id varchar(255) not null, name varchar(255), unique (id))
2026-05-19 05:31:16	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:16	TRACE	SQLOperation	insert into Toto(name, id) values (?, ?) | {1={Toto.name=toto, Toto.id=o.c.s.i.PersistableIdentifier@01552570-bee2-4d8e-8a8b-8cccfdb78502}}
2026-05-19 05:31:16	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistableIdentifier@01552570-bee2-4d8e-8a8b-8cccfdb78502]
2026-05-19 05:31:16	TRACE	SQLOperation	select Toto.name as Toto_name, Toto.id as Toto_id from Toto where Toto.id in (?) | {1=o.c.s.i.PersistableIdentifier@01552570-bee2-4d8e-8a8b-8cccfdb78502}
2026-05-19 05:31:16	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.FluentEntityMappingConfigurationSupportTest$Toto
]]></system-out>
  </testcase>
  <testcase name="map_withReadConverter_converterIsUsed_readOnlyProperty" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.009">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	DDLDeployer	create table Toto(id varchar(255) not null, name varchar(255), unique (id))
2026-05-19 05:31:16	TRACE	SQLOperation	insert into Toto(name, id) values (?, ?) | {Toto.name=toto, Toto.id=o.c.s.i.PersistedIdentifier@06663932-52ce-4336-8e5e-23fa1e9bbb4a}
2026-05-19 05:31:16	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistedIdentifier@06663932-52ce-4336-8e5e-23fa1e9bbb4a]
2026-05-19 05:31:16	TRACE	SQLOperation	select Toto.name as Toto_name, Toto.id as Toto_id from Toto where Toto.id in (?) | {1=o.c.s.i.PersistedIdentifier@06663932-52ce-4336-8e5e-23fa1e9bbb4a}
2026-05-19 05:31:16	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.FluentEntityMappingConfigurationSupportTest$Toto
2026-05-19 05:31:16	TRACE	SQLOperation	select Toto.name from Toto | {}
]]></system-out>
  </testcase>
  <testcase name="map_withColumnName_targetedPropertyNameIsTaken" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.002"/>
  <testcase name="map_withoutName_targetedPropertyNameIsTaken" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.002"/>
  <testcase name="withUniqueConstraintNaming" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.006"/>
  <testcase name="withUniqueConstraintNaming_isAppliedToEmbedded" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.004"/>
  <testcase name="withUniqueConstraintNaming_onEmbedded" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest" time="0.004"/>
  <testcase name="mandatory_onMissingValue_throwsException" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest$MapEnum" time="0.009">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	DDLDeployer	create table PersonWithGender(name varchar(255), gender VARCHAR(255) not null, id int not null, unique (id))
]]></system-out>
  </testcase>
  <testcase name="byName" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest$MapEnum" time="0.008">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	DDLDeployer	create table PersonWithGender(name varchar(255), gender varchar(255), id int not null, unique (id))
2026-05-19 05:31:16	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:16	TRACE	SQLOperation	insert into PersonWithGender(gender, id, name) values (?, ?, ?) | {1={PersonWithGender.gender=FEMALE, PersonWithGender.id=o.c.s.i.PersistableIdentifier@1, PersonWithGender.name=toto}}
2026-05-19 05:31:16	TRACE	SQLOperation	select * from PersonWithGender | {}
]]></system-out>
  </testcase>
  <testcase name="byDefault_ordinalIsUsed" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest$MapEnum" time="0.008">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	DDLDeployer	create table PersonWithGender(name varchar(255), gender VARCHAR(255), id int not null, unique (id))
2026-05-19 05:31:16	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:16	TRACE	SQLOperation	insert into PersonWithGender(gender, id, name) values (?, ?, ?) | {1={PersonWithGender.gender=FEMALE, PersonWithGender.name=toto, PersonWithGender.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:16	TRACE	SQLOperation	select * from PersonWithGender | {}
]]></system-out>
  </testcase>
  <testcase name="mandatory_columnConstraintIsAdded" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest$MapEnum" time="0.002"/>
  <testcase name="byOrdinal" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest$MapEnum" time="0.008">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	DDLDeployer	create table PersonWithGender(name varchar(255), gender INT, id int not null, unique (id))
2026-05-19 05:31:16	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:16	TRACE	SQLOperation	insert into PersonWithGender(gender, id, name) values (?, ?, ?) | {1={PersonWithGender.gender=FEMALE, PersonWithGender.name=toto, PersonWithGender.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:16	TRACE	SQLOperation	select * from PersonWithGender | {}
]]></system-out>
  </testcase>
  <testcase name="fieldName" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest$MapEnum" time="0.008">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	DDLDeployer	create table PersonWithGender(name varchar(255), fieldWithoutAccessor VARCHAR(255), id int not null, unique (id))
2026-05-19 05:31:16	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:16	TRACE	SQLOperation	insert into PersonWithGender(fieldWithoutAccessor, id, name) values (?, ?, ?) | {1={PersonWithGender.fieldWithoutAccessor=FEMALE, PersonWithGender.id=o.c.s.i.PersistableIdentifier@1, PersonWithGender.name=toto}}
2026-05-19 05:31:16	TRACE	SQLOperation	select * from PersonWithGender | {}
]]></system-out>
  </testcase>
  <testcase name="column_byOrdinal" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportTest$MapEnum" time="0.008">
    <system-out><![CDATA[2026-05-19 05:31:16	DEBUG	DDLDeployer	create table PersonWithGender(name varchar(255), gender integer, id int not null, unique (id))
2026-05-19 05:31:16	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:16	TRACE	SQLOperation	insert into PersonWithGender(gender, id, name) values (?, ?, ?) | {1={PersonWithGender.gender=FEMALE, PersonWithGender.id=o.c.s.i.PersistableIdentifier@1, PersonWithGender.name=toto}}
2026-05-19 05:31:16	TRACE	SQLOperation	select * from PersonWithGender | {}
]]></system-out>
  </testcase>
</testsuite>